Subject: Bug#1048: Wrong display selection

From: Mikhail Sherstennikov <[email-masked]>
Date: Sun, 26 Jun 2016 21:45:02 +0300

Package: x2goclient-4.0.5.1-1.fc23.x86_64
Version: 4.0.5.1 (Qt - 4.8.7)

I have two displays and in session preferences I select "Use whole display"
with display value: 2. But when I start session it draws in display 1.
Identify all displays work correct and show proper values on displays.
After turning off/on second display, restarting x2go it can (or can not)
use proper second display.
It really annoying.

*OS*: Fedora 23.
Linux mihost 4.2.3-300.fc23.x86_64 #1 SMP Mon Oct 5 15:42:54 UTC 2015
x86_64 x86_64 x86_64 GNU/Linux
*Desktop: *KDE Development Platform: 4.14.18
*Video*: RV770 [Radeon HD 4870]
*Displays:*
 1. Samsung SMBX2335 (DVI-1)
 2. Acer V235HL (DVI-0)

Best regards,
Mike.